Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1592866 (CVE-2018-12495) - CVE-2018-12495 discount: heap-based buffer over-read via a crafted file
Summary: CVE-2018-12495 discount: heap-based buffer over-read via a crafted file
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-12495
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1592867 1592868 1592869
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-19 13:37 UTC by Laura Pardo
Modified: 2019-09-29 14:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:29:36 UTC
Embargoed:


Attachments (Terms of Use)

Description Laura Pardo 2018-06-19 13:37:46 UTC
The quoteblock function in markdown.c in libmarkdown.a in DISCOUNT 2.2.3a allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted file.


References:
https://github.com/Orc/discount/issues/189#issuecomment-397541501

Comment 1 Laura Pardo 2018-06-19 13:38:09 UTC
Created discount tracking bugs for this issue:

Affects: epel-7 [bug 1592869]
Affects: fedora-all [bug 1592867]


Note You need to log in before you can comment on or make changes to this bug.